
ctools - Bug #2860

Understand discrepancy between unbinned and binned/stacked results for MSH

03/26/2019 07:46 AM - Knödlseder Jürgen

Status: Closed Start date: 03/26/2019

Priority: Immediate Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

The minor axis of the elliptical Gaussian fitted to MSH is smaller for unbinned than for binned/stacked analysis. This discrepancy

seems to be very robust.

History

#1 - 03/26/2019 02:50 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 10

It looks like if the integration precision in the GCTAResponseIrf::irf_elliptical method is not sufficient. The number of integration iterations is fixed in

this method to 5, and increasing the number brings the fit results closer to the values that were simulated. Below a case where only source events

were simulated. With iter=6 or 7 the unbinned results are comparable to the stacked analysis result.

Run Nobs-Npred RA Dec PA Minor Major Prefactor Index

Simulation 228.547 -59.174 61.961 0.04965 0.11648 6.93 2.45

Unbinned,

iter=5

0.050 228.553 -59.177 63.001 0.049 0.120 7.185 2.435

Unbinned,

Iter=6

0.002 228.553 -59.177 62.658 0.056 0.121 7.186 2.434

Unbinned,

Iter=7

0.000 228.553 -59.177 62.653 0.055 0.121 7.186 2.435

Stacked,

iter=5

0.032 228.552 -59.176 63.379 0.056 0.122 7.331 2.424

#2 - 03/26/2019 10:37 PM - Knödlseder Jürgen

And here now the analysis of the MSH data. For iter=6 or 7 the size of the 2D Gaussian is comparable to the binned and stacked analyses.

Run Nobs-Npre

d

TS RA Dec PA Minor Major Prefactor Index

Unbinned,

iter=5

0.543 877.3 228.547 -59.173 62.352 0.050 0.117 6.943 2.433

Unbinned, 0.015 905.3 228.547 -59.173 59.001 0.071 0.118 7.479 2.437
iter=6

Unbinned,

iter=7

0.026 905.1 228.544 -59.173 58.286 0.076 0.119 7.600 2.438

Binned,

iter=5

132.025 910.0 228.547 -59.173 59.810 0.082 0.123 8.044 2.414

Stacked,

iter=5

872.8 228.545 -59.170 58.164 0.071 0.119 7.460 2.403

#3 - 03/27/2019 12:07 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

And here the results for a simulation where the source model was amplified by a factor of 10 over the nominal flux value. Also here it was necessary

to move to iter=6 to get morphological results consistent with the simulations and consistent with the stacked analysis results.

Run Nobs-Npre

d

TS RA Dec PA Minor Major Prefactor Index

Simulation 228.547 -59.174 61.961 0.04965 0.11648 69.3 2.45

Unbinned,

iter=5

0.234 32417.3 228.548 -59.175 62.038 0.044 0.117 69.4 2.473

Unbinned,

iter=6

0.017 32525.3 228.548 -59.175 62.070 0.051 0.118 69.9 2.474

Unbinned,

iter=7

0.017 32513.1 228.548 -59.174 62.061 0.050 0.118 69.9 2.473

Stacked,

iter=5

53.003 33884.7 228.548 -59.174 61.830 0.051 0.119 70.7 2.454

So the precision was changed to 6, and the code was merged into devel.
